/***
	WysiwygPro.js
	Chuck Crandall 	07 Feb 2008
***/

/***
	There's a conflict with the Drupal collapsible menus and WysiwygPro.  
	For some reason, the JQuery function which enables collapsible fieldsets
	disables the WysiwygPro editor.  This little function simply waits 500ms 
	after page load for the collapsible fieldsets to be done, then enables any 
	editors found within a fieldset.
***/
function fix_collapse_wpro_conflict() { 
	$('fieldset .wproHTML').each( function() {
		WPro.editors[ this.name ].start();					
	});          		
}

/*** JQuery method comparable to window.onload  ***/
$(document).ready( function() { window.setTimeout('fix_collapse_wpro_conflict()', 500) } );  
